Own to install Teamviewer in Clear Linux?

I can’t install Teamviewer with dependences, please help.

1 Like

What did you try to install?

What error messages did you receive?

When I tried earlier this year it was using an unmaintained and vulnerable library: libQt5WebKit

Hi.

The messages than: QT5 dependencies and componentes of QT5. In this linux version how to download or install from repository?

Error: Error de dependencias:
/bin/bash es necesario por teamviewer-15.1.3937-0.x86_64
libQt5DBus.so.5()(64bit) >= 5.5 es necesario por teamviewer-15.1.3937-0.x86_64
libQt5Gui.so.5()(64bit) >= 5.5 es necesario por teamviewer-15.1.3937-0.x86_64
libQt5Qml.so.5()(64bit) >= 5.5 es necesario por teamviewer-15.1.3937-0.x86_64
libQt5Quick.so.5()(64bit) >= 5.5 es necesario por teamviewer-15.1.3937-0.x86_64
libQt5WebKit.so.5()(64bit) >= 5.5 es necesario por teamviewer-15.1.3937-0.x86_64
libQt5WebKitWidgets.so.5()(64bit) >= 5.5 es necesario por teamviewer-15.1.3937-0.x86_64
libQt5Widgets.so.5()(64bit) >= 5.5 es necesario por teamviewer-15.1.3937-0.x86_64
libQt5X11Extras.so.5()(64bit) >= 5.5 es necesario por teamviewer-15.1.3937-0.x86_64
libc.so.6(GLIBC_2.17)(64bit) es necesario por teamviewer-15.1.3937-0.x86_64
libdbus-1.so.3()(64bit) es necesario por teamviewer-15.1.3937-0.x86_64
qt5-qtdeclarative >= 5.5 es necesario por teamviewer-15.1.3937-0.x86_64
qt5-qtquickcontrols >= 5.5 es necesario por teamviewer-15.1.3937-0.x86_64
rpmlib(BuiltinLuaScripts) <= 4.2.2-1 es necesario por teamviewer-15.1.3937-0.x86_64

Reminna is not an alternative? (https://flathub.org/apps/details/org.remmina.Remmina)

You should use the tar release instead. However, this software is, as @puneetse pointed out, depending on a library that Clearlinux removed and will not work.

Hello,
I use a lot TeamViewer but also AnyDesk which is working absolutly the same way and it is in Flatpak
( AnyDesk has the permanent PassWord’s option which is very useful )
https://clearlinux.org/software/flathub/anydesk

( Remmina is more professional RPD & so on but more complicated )